import platform

from flask import Blueprint, jsonify
from util.system import check_exec
from config import DANMAKU_FACTORY_EXEC, FFMPEG_EXEC

blueprint = Blueprint("api_collector", __name__, url_prefix="/api/collector")


@blueprint.get("/")
def collect_basic_status():
    return jsonify({
        'exec': {
            'ffmpeg': check_exec(FFMPEG_EXEC),
            'danmaku': check_exec(DANMAKU_FACTORY_EXEC),
        },
        'system': {
            'os': platform.system(),
        }
    })
