from flask import Blueprint, jsonify

from model.Workflow import Workflow
from model import db

blueprint = Blueprint("api_workflow", __name__, url_prefix="/api/workflow")


@blueprint.get("/")
def get_workflow_list():
    workflows = Workflow.query.all()
    return jsonify([d.to_dict() for d in workflows])


@blueprint.get("/<int:workflow_id>")
def get_workflow_info(workflow_id):
    workflow = Workflow.get(workflow_id)
    return jsonify(workflow)


@blueprint.put("/<int:workflow_id>/done")
def done_editing(workflow_id):
    workflow = Workflow.get(workflow_id)
    return jsonify(workflow.to_dict())


@blueprint.post("/<int:workflow_id>/queue")
def add_to_queue(workflow_id):
    # JOB_QUEUE.put(workflow_item)
    return jsonify({
        'id': workflow_id,
    })
